Bug 1434844 (CVE-2017-7214) - CVE-2017-7214 openstack-nova: Sensitive information included in legacy notification exception contexts
Summary: CVE-2017-7214 openstack-nova: Sensitive information included in legacy notifi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7214
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1436944 1436945 1436946 1436947
Blocks: 1434846
TreeView+ depends on / blocked
 
Reported: 2017-03-22 13:14 UTC by Andrej Nemec
Modified: 2019-09-29 14:08 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An information exposure issue was discovered in OpenStack Compute's exception_wrapper.py. Legacy notification exception contexts appearing in ERROR-level logs could include sensitive information such as account passwords and authorization tokens.
Clone Of:
Environment:
Last Closed: 2017-06-29 00:06:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1508 normal SHIPPED_LIVE Moderate: openstack-nova security, bug fix, and enhancement update 2017-06-19 22:28:35 UTC
Red Hat Product Errata RHSA-2017:1595 normal SHIPPED_LIVE Moderate: openstack-nova and python-novaclient security, bug fix, and enhancement update 2017-06-28 18:54:29 UTC

Description Andrej Nemec 2017-03-22 13:14:02 UTC
An issue was discovered in exception_wrapper.py in OpenStack Nova. Legacy notification exception contexts appearing in ERROR level logs may include sensitive information such as account passwords and authorization tokens.

Upstream bug:

https://bugs.launchpad.net/nova/+bug/1673569

Comment 1 Summer Long 2017-03-29 05:18:44 UTC
Upstream Patches:
https://review.openstack.org/447075 (Mitaka)
https://review.openstack.org/447072 (Newton)
https://review.openstack.org/447071 (Ocata)

Comment 2 Summer Long 2017-03-29 05:21:07 UTC
Created openstack-nova tracking bugs for this issue:

Affects: openstack-rdo [bug 1436944]

Comment 10 errata-xmlrpc 2017-06-19 18:30:49 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:1508 https://access.redhat.com/errata/RHSA-2017:1508

Comment 11 errata-xmlrpc 2017-06-28 15:25:22 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:1595 https://access.redhat.com/errata/RHSA-2017:1595


Note You need to log in before you can comment on or make changes to this bug.